ACL_SET_FD(3)

NAME
acl_set_fd - set an ACL by file descriptor

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_set_fd(int fd, acl_t acl);

DESCRIPTION
The acl_set_fd() function associates an access ACL with the file referred to by fd.

The effective user ID of the process must match the owner of the file or the process must have the CAP_FOWNER capability for the request to succeed.

RETURN VALUE

ERRORS
If any of the following conditions occur, the acl_set_fd() function returns the value -1 and and sets errno to the corresponding value:

[EBADF]
    The fd argument is not a valid file descriptor.

[EINVAL]
    The argument acl does not point to a valid ACL.

    The ACL has more entries than the file referred to by fd can obtain.

[ENOSPC]
    The directory or file system that would contain the new ACL cannot be extended or the file system is out of file allocation resources.

[ENOTSUP]
    The file identified by fd cannot be associated with the ACL because the file system on which the file is located does not support this.

[EPERM]
    The process does not have appropriate privilege to perform the operation to set the ACL.

[EROFS]
    This function requires modification of a file system which is currently read-only.

STANDARDS
IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned)

SEE ALSO
acl_delete_def_file(3), acl_get_file(3), acl_set_file(3), acl_valid(3), acl(5)

AUTHOR
Derived from the FreeBSD manual pages written by Robert N M Watson <rwatson@FreeBSD.org>, and adapted for Linux by Andreas Gruenbacher <a.gruenbacher@bestbits.at>.